fixed bug with 'back' link

This commit is contained in:
Semyon Babushkin
2017-12-11 14:36:11 +03:00
parent b4c0b1d8e4
commit 8c42d040c0
9 changed files with 39 additions and 29 deletions

Binary file not shown.

View File

@@ -1,9 +1,9 @@
// This is a generated file; do not edit or check into version control. // This is a generated file; do not edit or check into version control.
FLUTTER_ROOT=/Users/dinect/projects/flutter FLUTTER_ROOT=/Users/ntrlab/flutter
FLUTTER_APPLICATION_PATH=/Users/dinect/projects/checker FLUTTER_APPLICATION_PATH=/Users/ntrlab/semyon/apps/dinect
FLUTTER_TARGET=lib/main.dart FLUTTER_TARGET=lib/main.dart
FLUTTER_BUILD_MODE=release FLUTTER_BUILD_MODE=debug
FLUTTER_BUILD_DIR=build FLUTTER_BUILD_DIR=build
SYMROOT=${SOURCE_ROOT}/../build/ios SYMROOT=${SOURCE_ROOT}/../build/ios
FLUTTER_FRAMEWORK_DIR=/Users/dinect/projects/flutter/bin/cache/artifacts/engine/ios-release FLUTTER_FRAMEWORK_DIR=/Users/ntrlab/flutter/bin/cache/artifacts/engine/ios
#include "Pods/Target Support Files/Pods-Runner/Pods-Runner.release.xcconfig" #include "Pods/Target Support Files/Pods-Runner/Pods-Runner.release.xcconfig"

Binary file not shown.

View File

@@ -1,8 +1,8 @@
PODS: PODS:
- Flutter (1.0.0) - Flutter (1.0.0)
- FMDB (2.7.2): - FMDB (2.6.2):
- FMDB/standard (= 2.7.2) - FMDB/standard (= 2.6.2)
- FMDB/standard (2.7.2) - FMDB/standard (2.6.2)
- image_picker (0.0.1): - image_picker (0.0.1):
- Flutter - Flutter
- path_provider (0.0.1): - path_provider (0.0.1):
@@ -12,28 +12,28 @@ PODS:
- FMDB - FMDB
DEPENDENCIES: DEPENDENCIES:
- Flutter (from `/Users/dinect/projects/flutter/bin/cache/artifacts/engine/ios-release`) - Flutter (from `/Users/ntrlab/flutter/bin/cache/artifacts/engine/ios`)
- image_picker (from `/Users/dinect/.pub-cache/hosted/pub.dartlang.org/image_picker-0.1.3/ios`) - image_picker (from `/Users/ntrlab/.pub-cache/hosted/pub.dartlang.org/image_picker-0.1.3/ios`)
- path_provider (from `/Users/dinect/.pub-cache/hosted/pub.dartlang.org/path_provider-0.2.1+1/ios`) - path_provider (from `/Users/ntrlab/.pub-cache/hosted/pub.dartlang.org/path_provider-0.2.1+1/ios`)
- sqflite (from `/Users/dinect/.pub-cache/hosted/pub.dartlang.org/sqflite-0.2.4/ios`) - sqflite (from `/Users/ntrlab/.pub-cache/hosted/pub.dartlang.org/sqflite-0.2.4/ios`)
EXTERNAL SOURCES: EXTERNAL SOURCES:
Flutter: Flutter:
:path: /Users/dinect/projects/flutter/bin/cache/artifacts/engine/ios-release :path: /Users/ntrlab/flutter/bin/cache/artifacts/engine/ios
image_picker: image_picker:
:path: /Users/dinect/.pub-cache/hosted/pub.dartlang.org/image_picker-0.1.3/ios :path: /Users/ntrlab/.pub-cache/hosted/pub.dartlang.org/image_picker-0.1.3/ios
path_provider: path_provider:
:path: /Users/dinect/.pub-cache/hosted/pub.dartlang.org/path_provider-0.2.1+1/ios :path: /Users/ntrlab/.pub-cache/hosted/pub.dartlang.org/path_provider-0.2.1+1/ios
sqflite: sqflite:
:path: /Users/dinect/.pub-cache/hosted/pub.dartlang.org/sqflite-0.2.4/ios :path: /Users/ntrlab/.pub-cache/hosted/pub.dartlang.org/sqflite-0.2.4/ios
SPEC CHECKSUMS: SPEC CHECKSUMS:
Flutter: d674e78c937094a75ac71dd77e921e840bea3dbf Flutter: d674e78c937094a75ac71dd77e921e840bea3dbf
FMDB: 6198a90e7b6900cfc046e6bc0ef6ebb7be9236aa FMDB: 854a0341b4726e53276f2a8996f06f1b80f9259a
image_picker: a211f28b95a560433c00f5cd3773f4710a20404d image_picker: a211f28b95a560433c00f5cd3773f4710a20404d
path_provider: f96fff6166a8867510d2c25fdcc346327cc4b259 path_provider: f96fff6166a8867510d2c25fdcc346327cc4b259
sqflite: 8e2d9fe1e7cdc95d4d537fc7eb2d23c8dc428e3c sqflite: 8e2d9fe1e7cdc95d4d537fc7eb2d23c8dc428e3c
PODFILE CHECKSUM: 351e02e34b831289961ec3558a535cbd2c4965d2 PODFILE CHECKSUM: 351e02e34b831289961ec3558a535cbd2c4965d2
COCOAPODS: 1.4.0.beta.2 COCOAPODS: 1.2.1

View File

@@ -309,7 +309,7 @@
ORGANIZATIONNAME = "The Chromium Authors"; ORGANIZATIONNAME = "The Chromium Authors";
TargetAttributes = { TargetAttributes = {
ACE861271F9F745B006FEF38 = { ACE861271F9F745B006FEF38 = {
DevelopmentTeam = 926V94K5Q8; DevelopmentTeam = XU4S344HDL;
ProvisioningStyle = Automatic; ProvisioningStyle = Automatic;
SystemCapabilities = { SystemCapabilities = {
com.apple.Push = { com.apple.Push = {
@@ -370,7 +370,7 @@
); );
runOnlyForDeploymentPostprocessing = 0; runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh; shellPath = /bin/sh;
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
showEnvVarsInLog = 0; showEnvVarsInLog = 0;
}; };
ACE861291F9F745B006FEF38 /* Run Script */ = { ACE861291F9F745B006FEF38 /* Run Script */ = {
@@ -578,7 +578,7 @@
"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer"; "CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
CODE_SIGN_STYLE = Automatic; CODE_SIGN_STYLE = Automatic;
DEFINES_MODULE = YES; DEFINES_MODULE = YES;
DEVELOPMENT_TEAM = 926V94K5Q8; DEVELOPMENT_TEAM = XU4S344HDL;
ENABLE_BITCODE = NO; ENABLE_BITCODE = NO;
FRAMEWORK_SEARCH_PATHS = ( FRAMEWORK_SEARCH_PATHS = (
"$(inherited)", "$(inherited)",
@@ -592,7 +592,7 @@
"$(PROJECT_DIR)/ZBarSDK", "$(PROJECT_DIR)/ZBarSDK",
); );
ONLY_ACTIVE_ARCH = YES; ONLY_ACTIVE_ARCH = YES;
PRODUCT_BUNDLE_IDENTIFIER = com.dinect.checker.autoclub.app; PRODUCT_BUNDLE_IDENTIFIER = "com.dinect.develop-iOS";
PRODUCT_NAME = "$(TARGET_NAME)"; PRODUCT_NAME = "$(TARGET_NAME)";
PROVISIONING_PROFILE = ""; PROVISIONING_PROFILE = "";
PROVISIONING_PROFILE_SPECIFIER = ""; PROVISIONING_PROFILE_SPECIFIER = "";
@@ -622,7 +622,7 @@
"CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer"; "CODE_SIGN_IDENTITY[sdk=iphoneos*]" = "iPhone Developer";
CODE_SIGN_STYLE = Automatic; CODE_SIGN_STYLE = Automatic;
DEFINES_MODULE = YES; DEFINES_MODULE = YES;
DEVELOPMENT_TEAM = 926V94K5Q8; DEVELOPMENT_TEAM = XU4S344HDL;
ENABLE_BITCODE = NO; ENABLE_BITCODE = NO;
FRAMEWORK_SEARCH_PATHS = ( FRAMEWORK_SEARCH_PATHS = (
"$(inherited)", "$(inherited)",
@@ -635,7 +635,7 @@
"$(PROJECT_DIR)/Flutter", "$(PROJECT_DIR)/Flutter",
"$(PROJECT_DIR)/ZBarSDK", "$(PROJECT_DIR)/ZBarSDK",
); );
PRODUCT_BUNDLE_IDENTIFIER = com.dinect.checker.autoclub.app; PRODUCT_BUNDLE_IDENTIFIER = "com.dinect.develop-iOS";
PRODUCT_NAME = "$(TARGET_NAME)"; PRODUCT_NAME = "$(TARGET_NAME)";
PROVISIONING_PROFILE = ""; PROVISIONING_PROFILE = "";
PROVISIONING_PROFILE_SPECIFIER = ""; PROVISIONING_PROFILE_SPECIFIER = "";

View File

@@ -10,7 +10,7 @@
ignoreCount = "0" ignoreCount = "0"
continueAfterRunningActions = "No" continueAfterRunningActions = "No"
filePath = "Runner/AppDelegate.m" filePath = "Runner/AppDelegate.m"
timestampString = "533143176.37064" timestampString = "534682467.345685"
startingColumnNumber = "9223372036854775807" startingColumnNumber = "9223372036854775807"
endingColumnNumber = "9223372036854775807" endingColumnNumber = "9223372036854775807"
startingLineNumber = "78" startingLineNumber = "78"
@@ -26,7 +26,7 @@
ignoreCount = "0" ignoreCount = "0"
continueAfterRunningActions = "No" continueAfterRunningActions = "No"
filePath = "Runner/AppDelegate.m" filePath = "Runner/AppDelegate.m"
timestampString = "533143176.370787" timestampString = "534682467.346198"
startingColumnNumber = "9223372036854775807" startingColumnNumber = "9223372036854775807"
endingColumnNumber = "9223372036854775807" endingColumnNumber = "9223372036854775807"
startingLineNumber = "10" startingLineNumber = "10"
@@ -42,7 +42,7 @@
ignoreCount = "0" ignoreCount = "0"
continueAfterRunningActions = "No" continueAfterRunningActions = "No"
filePath = "Runner/AppDelegate.m" filePath = "Runner/AppDelegate.m"
timestampString = "533143176.370911" timestampString = "534682467.346423"
startingColumnNumber = "9223372036854775807" startingColumnNumber = "9223372036854775807"
endingColumnNumber = "9223372036854775807" endingColumnNumber = "9223372036854775807"
startingLineNumber = "13" startingLineNumber = "13"
@@ -58,7 +58,7 @@
ignoreCount = "0" ignoreCount = "0"
continueAfterRunningActions = "No" continueAfterRunningActions = "No"
filePath = "Runner/AppDelegate.m" filePath = "Runner/AppDelegate.m"
timestampString = "533143176.3711" timestampString = "534682467.34663"
startingColumnNumber = "9223372036854775807" startingColumnNumber = "9223372036854775807"
endingColumnNumber = "9223372036854775807" endingColumnNumber = "9223372036854775807"
startingLineNumber = "15" startingLineNumber = "15"
@@ -74,7 +74,7 @@
ignoreCount = "0" ignoreCount = "0"
continueAfterRunningActions = "No" continueAfterRunningActions = "No"
filePath = "Runner/AppDelegate.m" filePath = "Runner/AppDelegate.m"
timestampString = "533143176.371207" timestampString = "534682467.346835"
startingColumnNumber = "9223372036854775807" startingColumnNumber = "9223372036854775807"
endingColumnNumber = "9223372036854775807" endingColumnNumber = "9223372036854775807"
startingLineNumber = "9" startingLineNumber = "9"

View File

@@ -136,7 +136,17 @@ startScanner(BuildContext context, String app, SqliteHelper helper) async {
print(userString); print(userString);
print(cardPhone); print(cardPhone);
pushRoute(context, new PurchaseScreen(helper, app, JSON.encode(users[0]), cardPhone)); // pushRoute(context, new PurchaseScreen(helper, app, JSON.encode(users[0]), cardPhone));
var route = new MaterialPageRoute<Null>(
builder: (BuildContext context) =>
new PurchaseScreen(helper, app, JSON.encode(users[0]), cardPhone)
);
while (Navigator.of(context).canPop()) {
Navigator.of(context).pop();
}
Navigator.of(context).pushReplacement(route);
} else { } else {
throw new FlutterError("Users not found"); throw new FlutterError("Users not found");
} }